Page MenuHomePhabricator

Infinite spinner when editing empty collections
Closed, ResolvedPublic

Description

Create an empty collection
Visit it and click edit
The search interface will never load.
Uncaught TypeError: Cannot read property 'pages' of undefined

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to In Analysis on the Gather Sprint Enwiki board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 11:26 PM
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Enwiki board.

Change 203387 had a related patch set uploaded (by Jdlrobson):
Deal with inconsistent API response and infinite spinner

https://gerrit.wikimedia.org/r/203387

Jdlrobson moved this task from Product triage to In sprint on the Gather board.Apr 11 2015, 12:11 AM
Jdlrobson set Security to None.
Jdlrobson moved this task from In Analysis to Code review needed on the Gather Sprint Forward board.

Change 203387 merged by jenkins-bot:
Deal with inconsistent API response and infinite spinner

https://gerrit.wikimedia.org/r/203387

JKatzWMF closed this task as Resolved.Apr 27 2015, 4:53 AM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Forward board.